import { DprClientClass } from '../../../DprClientClass';
declare class Autocomplete extends DprClientClass {
    static getModuleName(): string;
    constructor(element: any);
    initialise(): void;
    initialiseDefaultValue(textInput: any): void;
    getTextInput(): Element | null;
    onTextInput(event: any, textInput: any): void;
    getInputListButton(item: any): any;
    isMatchingStaticOptionNameOrDisplayPrefix(inputListButton: any, searchValue: any, item: any): any;
    isStaticOptionsNamePrefix(staticOptionNameValue: any, searchValue: any): any;
    populateOptionsDynamically(resourceEndpoint: any, searchValue: any, textInput: any, templateProvider: any): Promise<void>;
    onOptionClick(event: any, textInput: any, topLevelElement: any): void;
    setValue(textInput: any, displayValue: any): void;
    addItem(template: any, content: any, clickEvent: any): void;
    clearListAndRecreateTemplate(): any;
    getHiddenInput(): Element | null;
}
export { Autocomplete };
export default Autocomplete;
